curl --request GET \
--url https://int-api.mx.com/account/account_owners \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://int-api.mx.com/account/account_owners"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Bearer <token>'}
};
fetch('https://int-api.mx.com/account/account_owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-api.mx.com/account/account_owners",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept-Version: <accept-version>",
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-api.mx.com/account/account_owners"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept-Version", "<accept-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-api.mx.com/account/account_owners")
.header("Accept-Version", "<accept-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-api.mx.com/account/account_owners")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '<accept-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"account_owners": [
{
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"guid": "AOW-e9f9cd45-7d14-4fbf-b23c-7f4a6d7671d6",
"owner_name": "Janita Pollich",
"first_name": "Janita",
"last_name": "Pollich",
"address": "3541 Adrian Street",
"city": "North Kishaberg",
"state": "Maine",
"postal_code": "45054-7764",
"country": "US",
"email": "example@example.com",
"phone": "676-932-5861"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Get account owner information (Processors Only)
Get account owner information (Processors Only)
curl --request GET \
--url https://int-api.mx.com/account/account_owners \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://int-api.mx.com/account/account_owners"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Bearer <token>'}
};
fetch('https://int-api.mx.com/account/account_owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-api.mx.com/account/account_owners",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept-Version: <accept-version>",
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-api.mx.com/account/account_owners"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept-Version", "<accept-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-api.mx.com/account/account_owners")
.header("Accept-Version", "<accept-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-api.mx.com/account/account_owners")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '<accept-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"account_owners": [
{
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"guid": "AOW-e9f9cd45-7d14-4fbf-b23c-7f4a6d7671d6",
"owner_name": "Janita Pollich",
"first_name": "Janita",
"last_name": "Pollich",
"address": "3541 Adrian Street",
"city": "North Kishaberg",
"state": "Maine",
"postal_code": "45054-7764",
"country": "US",
"email": "example@example.com",
"phone": "676-932-5861"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
MX Platform API version.
"v20260929"
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
The unique identifier for an account owner. Defined by MX.
"AOW-e9f9cd45-7d14-4fbf-b23c-7f4a6d7671d6"
The account owner's name.
"Janita Pollich"
The account owner's first name. Populated only for clients with name splitting enabled; otherwise null.
"Janita"
The account owner's last name. Populated only for clients with name splitting enabled; otherwise null.
"Pollich"
The account owner's street address.
"3541 Adrian Street"
The account owner's city.
"North Kishaberg"
The account owner's state.
"Maine"
The account owner's postal code.
"45054-7764"
The country name.
"US"
The email address associated with the account.
"example@example.com"
The phone number associated with the account owner.
"676-932-5861"

